# Contacts Object

> Source: https://truto.one/docs/api-reference/unified-accounting-api/contacts/

Schema for the `Contacts` resource in **Unified Accounting API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the contact
- **`name`** _(string)_
  The name of the contact
- **`type`** _(string)_
  The type of the contact
  Allowed: `customer`, `vendor`
- **`emails`** _(array<object>)_
  The emails of the contact
  - **`email`** _(string)_
    The email of the contact
  - **`type`** _(string)_
    The type of the email
- **`tax_number`** _(string)_
  The tax number of the contact
- **`status`** _(string)_
  The status of the contact
  Allowed: `active`, `archived`
- **`currency`** _(string)_
  The currency of the contact
- **`company`** _(string)_
  The ID of company the contact belongs to
- **`addresses`** _(array<object>)_
  The addresses of the contact
  - **`id`** _(string)_
    The unique identifier for address
  - **`street_1`** _(string)_
    The street 1 address of the contact
  - **`street_2`** _(string)_
    The street 2 address of the contact
  - **`city`** _(string)_
    The city of the contact
  - **`state`** _(string)_
    The state of the contact
  - **`country`** _(string)_
    The country of the contact
  - **`postal_code`** _(string)_
    The postal code of the contact
  - **`type`** _(string)_
    The type of the address
- **`phones`** _(array<object>)_
  The phone numbers of the contact
  - **`number`** _(string)_
    The phone number of the contact
  - **`extension`** _(string)_
    The extension of the phone number
  - **`type`** _(string)_
    The type of the phone number
- **`created_at`** _(string)_
  This represents the date when the contact was created
- **`updated_at`** _(string)_
  This represents the date when the contact was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/accounting/contacts](/docs/api-reference/unified-accounting-api/contacts/list) — List Contacts
- [POST /unified/accounting/contacts](/docs/api-reference/unified-accounting-api/contacts/create) — Create Contacts
- [GET /unified/accounting/contacts/{id}](/docs/api-reference/unified-accounting-api/contacts/get) — Get Contacts
- [PATCH /unified/accounting/contacts/{id}](/docs/api-reference/unified-accounting-api/contacts/update) — Update Contacts
